Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 05 Dec 2021 07:30:44 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hi Centrepoint,

I have sent already an email before and called the hotline about the delivery of my order with the reference 6369054611. This has been unresolved until now.

Today the delivery driver message asking my location, when I sent him my location he replied that his area is Al Nahda and Khalij. What's going on here? 

Kindly do the needful or just cancel this order. I'm so done with your incompetence.! What a disappointing service! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3491405